import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppRouting } from './app.routes';
import { AppComponent } from './app.component';
import { ChildComponent } from './child/child.component';
import { UIMatComponent } from './uimat/uimat.component';
import {BrowserAnimationsModule} from '@angular/platform-browser/animations';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {MatFormFieldModule} from '@angular/material/form-field';
import { MatInputModule, MatButtonModule, MatIconModule, MatDatepickerModule, MatNativeDateModule, MatSlideToggleModule,
 MatTableModule, MatSortModule, MatSnackBarModule } from '@angular/material';
import {MatProgressSpinnerModule} from '@angular/material/progress-spinner';
import { ReactformComponent } from './reactform/reactform.component';
import { RestrictuserinputDirective } from './directives/restrictuserinput.directive';
import { LoginComponent } from './login/login.component';
import {MatProgressBarModule} from '@angular/material/progress-bar';
import { ThreedigitDirective } from './directives/threedigit.directive';
import { FileUploaderService } from './file-uploader.service';
import { FileUploaderComponent } from './file-uploader/file-uploader.component';
import { HttpClient } from 'selenium-webdriver/http';
import { HttpClientModule } from '@angular/common/http';
import { UitestComponent } from './uitest/uitest.component';
import { TreeTableModule, DataTableModule } from 'primeng/primeng';
import { NodeService } from '../node.service';
import {TableModule} from 'primeng/table';
import { NgProgressModule } from 'ngx-progressbar';
import {MatDialogModule} from '@angular/material/dialog';
@NgModule({
  declarations: [
    AppComponent,
    ChildComponent,
    UIMatComponent,
    ReactformComponent,
    RestrictuserinputDirective,
    LoginComponent,
    ThreedigitDirective, FileUploaderComponent, UitestComponent
  ],
  imports: [
    BrowserModule, AppRouting, BrowserAnimationsModule, FormsModule, ReactiveFormsModule,
    MatFormFieldModule, MatInputModule, MatButtonModule, MatIconModule, MatDatepickerModule,
    MatNativeDateModule, MatProgressSpinnerModule, MatProgressBarModule, MatSlideToggleModule,
    MatTableModule, HttpClientModule, TreeTableModule, MatSortModule, DataTableModule, TableModule, NgProgressModule,
    MatDialogModule, MatSnackBarModule
  ],
  providers: [FileUploaderService, NodeService],
  bootstrap: [AppComponent]
})
export class AppModule { }
