import { Component, OnInit } from '@angular/core';
import { FormControl, FormGroup, FormBuilder, Validators } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
selector: 'app-login',
templateUrl: './login.component.html',
styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {
heroForm: FormGroup;
submitted = false;
isLoading = false;

constructor(private fb: FormBuilder, private router: Router) { }

createForm() {
this.heroForm = this.fb.group({
firstName: ['', Validators.required],
password: ['', Validators.required]
});
}

ngOnInit() { this.createForm(); }

onButtonClick() {
this.submitted = true;
this.isLoading = true;
if (this.heroForm.invalid) { return true; }
setTimeout(() => { this.isLoading = false; }, 10000);
setTimeout(() => { this.router.navigate(['/reactform']); }, 5000);
}

}
